const esbuild = require('esbuild');
const { sassPlugin } = require('esbuild-sass-plugin');

function buildJs() {
  esbuild.build({
    entryPoints: ['js/dist.js'],
    outfile: 'bundle/mythical-player.dist.js',
    format: 'iife',
    footer: {
      js: 'var MythicalPlayer = MythicalPlayerComponent.default'
    },
    globalName: 'MythicalPlayerComponent',
    bundle: true,
    minify: true,
    sourcemap: false,
    legalComments: 'eof',
    target: ['chrome102', 'firefox102', 'safari16'],
    plugins: [
      sassPlugin({
        filter: /\.scss$/,
        type: 'css-text'
      })
    ]
  });
}

module.exports = {
  buildJs,
  build: buildJs
};
